///////SAMPLE 1////////
clear
****IMPORT Survey1.csv

////////*********Supplementary Information Table 1*********////////
tab1 q5 female income education urban suburban ne s w q67 black hispanic white republican democrat agexp medexp first

///////HEARD////////
//Q11 Have you heard or read about the use gene editing in the context of "food and agriculture" applications? 1-yes, a lot 2-yes, a little 3-no
rename q11 (heardgefood) 
//Q18 Have you heard or read about the use gene editing in the context of "health and medical" applications? 1-yes, a lot 2-yes, a little 3-no
rename q18 (heardgemed)

///////OPINION////////
//Q12 Do you have an opinion about the safety of gene editing in the context of "food and agriculture" applications? 1-yes, a strong 2-yes, a weak 0-no
rename q12 (opinionfood)
//Q19 Do you have an opinion about the safety of gene editing in the context of "health and medical" applications? 1-yes, a strong 2-yes, a weak 0-no
rename q19 (opinionmed)

///////DIRECTION OF OPINION////////
//Q13 What is your opinion about the safety of gene editing in the context of "food and agriculture" applications? 1-extremely unsafe 5-extremely safe
rename q13 (safetyfood)
//Q20 What is your opinion about the safety of gene editing in the context of "health and medical" applications? applications? 1-extremely unsafe 5-extremely safe
rename q20 (safetymed)
*collapsing the 5-point scale of opinions about the safety of gene editing to a 3-point scale
generate dsafetyfood=0 if safetyfood<3
replace dsafetyfood=1 if safetyfood==3
replace dsafetyfood=2 if safetyfood>3
bysort opinionfood: tab dsafetyfood
bysort opinionfood: summarize dsafetyfood
generate dsafetymed=0 if safetymed<3
replace dsafetymed=1 if safetymed==3
replace dsafetymed=2 if safetymed>3

///////AMOUNT OF RESEARCH////////
//Q14 How much more research would be needed to improve your opinion about the safety of gene editing in the context of "food and agriculture" applications? 1-1to25 studies, 6-no amount
rename q14 (researchfood)
//Q21 How much more research would be needed to improve your opinion about the safety of gene editing in the context of "health and medical" applications? 1-1to25 studies, 6-no amount
rename q21 (researchmed)
///////AMOUNT OF TIME////////
//Q15 How many years without negative outcomes would be needed to improve your opinion about the safety of gene editing in the context of "food and agriculture"? 1-1to3 years 6-no amount
rename q15 (negoutcomefood)
//Q22 HHow many years without negative outcomes would be needed to improve your opinion about the safety of gene editing in the context of "health and medical"? 1-1to3 years 6-no amount
rename q22 (negoutcomemed)
*recoding so 0-5 instead of 1-6
replace researchfood=researchfood-1
replace negoutcomefood=negoutcomefood-1
replace researchmed=researchmed-1
replace negoutcomemed=negoutcomemed-1

*saving sample 1 data
save first, replace

////////*********SAMPLE 1 DATA ANALYSIS*********/////////
////////*********TABLE 1*********////////
*Frequency Distributions
tab1 heardgefood heardgemed opinionfood opinionmed safetyfood safetymed researchfood researchmed negoutcomefood negoutcomemed
////////*********Supplementary Information Table 1*********////////
correlate heardgefood opinionfood dsafetyfood researchfood negoutcomefood
correlate heardgemed opinionmed dsafetymed researchmed negoutcomemed
*SignRanked TEST OF DIFFERENCES BETWEEN AG & MED
summarize heardgefood heardgemed
signrank heardgefood = heardgemed
signrank opinionfood = opinionmed
signrank dsafetyfood = dsafetymed
signrank researchfood = researchmed
signrank negoutcomefood = negoutcomemed
////////*********FIGURE 1*********////////
/*strength of opinion by awareness*/
bysort heardgefood: summarize opinionfood
bysort heardgemed: summarize opinionmed
*Chi2 TEST OF Independence
tabulate heardgefood opinionfood, chi2
tabulate heardgemed opinionmed, chi2
////////*********FIGURE 2*********////////
/*opinion about safety by the strength of opinion*/
bysort opinionmed: tab dsafetymed
bysort opinionmed: summarize dsafetymed
*Chi2 TEST OF Independence
tabulate opinionfood dsafetyfood, chi2
tabulate opinionmed dsafetymed, chi2
////////*********FIGURE 3*********////////
/*evidence needed by opinion about safety*/
bysort dsafetyfood: tab1 researchfood negoutcomefood
bysort dsafetyfood: summarize researchfood negoutcomefood
bysort dsafetymed: tab1 researchmed negoutcomemed
bysort dsafetymed: summarize researchmed negoutcomemed
*Chi2 TEST OF Independence
tabulate dsafetyfood researchfood, chi2
tabulate dsafetymed researchmed, chi2
tabulate dsafetyfood negoutcomefood, chi2
tabulate dsafetymed negoutcomemed, chi2
////////*********TABLE 2*********////////
/*ordered logit models for opinion about safety*/
ologit dsafetyfood i.heardgefood i.opinionfood 
ologit dsafetymed i.heardgemed i.opinionmed
////////*********TABLE 3*********////////
/*ordered logit models for evidence*/
ologit researchfood i.heardgefood i.opinionfood i.dsafetyfood 
ologit negoutcomefood i.heardgefood i.opinionfood i.dsafetyfood 
ologit researchmed i.heardgemed i.opinionmed i.dsafetymed
ologit negoutcomemed i.heardgemed i.opinionmed i.dsafetymed



///////SAMPLE 2////////
clear
****IMPORT Survey2.csv

////////*********Supplementary Information Table 1*********////////
tab1 q5 female income education urban suburban ne s w q67 black hispanic white republican democrat agexp medexp first

///////HEARD////////
//Q11 Have you heard or read about the use gene editing in the context of "food and agriculture" applications? 1-yes, a lot 2-yes, a little 3-no
rename q11 (heardgefood) 
//Q18 Have you heard or read about the use gene editing in the context of "health and medical" applications? 1-yes, a lot 2-yes, a little 3-no
rename q18 (heardgemed)

///////OPINION////////
//Q12 Do you have an opinion about the safety of gene editing in the context of "food and agriculture" applications? 1-yes, a strong 2-yes, a weak 0-no
rename q12 (opinionfood)
//Q19 Do you have an opinion about the safety of gene editing in the context of "health and medical" applications? 1-yes, a strong 2-yes, a weak 0-no
rename q19 (opinionmed)

///////DIRECTION OF OPINION////////
//Q13 What is your opinion about the safety of gene editing in the context of "food and agriculture" applications? 1-extremely unsafe 5-extremely safe
rename q13 (safetyfood)
//Q20 What is your opinion about the safety of gene editing in the context of "health and medical" applications? applications? 1-extremely unsafe 5-extremely safe
rename q20 (safetymed)
*collapsing the 5-point scale of opinions about the safety of gene editing to a 3-point scale
generate dsafetyfood=0 if safetyfood<3
replace dsafetyfood=1 if safetyfood==3
replace dsafetyfood=2 if safetyfood>3
bysort opinionfood: tab dsafetyfood
bysort opinionfood: summarize dsafetyfood
generate dsafetymed=0 if safetymed<3
replace dsafetymed=1 if safetymed==3
replace dsafetymed=2 if safetymed>3

///////AMOUNT OF RESEARCH////////
//Q14 How much more research would be needed to improve your opinion about the safety of gene editing in the context of "food and agriculture" applications? 1-1to25 studies, 6-no amount
rename q14 (researchfood)
//Q21 How much more research would be needed to improve your opinion about the safety of gene editing in the context of "health and medical" applications? 1-1to25 studies, 6-no amount
rename q21 (researchmed)

///////AMOUNT OF TIME////////
//Q15 How many years without negative outcomes would be needed to improve your opinion about the safety of gene editing in the context of "food and agriculture"? 1-1to3 years 6-no amount
rename q15 (negoutcomefood)
//Q22 HHow many years without negative outcomes would be needed to improve your opinion about the safety of gene editing in the context of "health and medical"? 1-1to3 years 6-no amount
rename q22 (negoutcomemed)
*recoding so 0-5 instead of 1-6
replace researchfood=researchfood-1
replace negoutcomefood=negoutcomefood-1
replace researchmed=researchmed-1
replace negoutcomemed=negoutcomemed-1

*saving sample 2 data
save second, replace

////////*********SAMPLE 2 DATA ANALYSIS*********/////////
////////*********TABLE 1*********////////
*Frequency Distributions
tab1 heardgefood heardgemed opinionfood opinionmed safetyfood safetymed researchfood researchmed negoutcomefood negoutcomemed
////////*********Supplementary Information Table 1*********////////
correlate heardgefood opinionfood dsafetyfood researchfood negoutcomefood
correlate heardgemed opinionmed dsafetymed researchmed negoutcomemed
*SignRanked TEST OF DIFFERENCES BETWEEN AG & MED
summarize heardgefood heardgemed
signrank heardgefood = heardgemed
signrank opinionfood = opinionmed
signrank dsafetyfood = dsafetymed
signrank researchfood = researchmed
signrank negoutcomefood = negoutcomemed
////////*********FIGURE 1*********////////
/*strength of opinion by awareness*/
bysort heardgefood: summarize opinionfood
bysort heardgemed: summarize opinionmed
*Chi2 TEST OF Independence
tabulate heardgefood opinionfood, chi2
tabulate heardgemed opinionmed, chi2
////////*********FIGURE 2*********////////
/*opinion about safety by the strength of opinion*/
bysort opinionmed: tab dsafetymed
bysort opinionmed: summarize dsafetymed
*Chi2 TEST OF Independence
tabulate opinionfood dsafetyfood, chi2
tabulate opinionmed dsafetymed, chi2
////////*********FIGURE 3*********////////
/*evidence needed by opinion about safety*/
bysort dsafetyfood: tab1 researchfood negoutcomefood
bysort dsafetyfood: summarize researchfood negoutcomefood
bysort dsafetymed: tab1 researchmed negoutcomemed
bysort dsafetymed: summarize researchmed negoutcomemed
*Chi2 TEST OF Independence
tabulate dsafetyfood researchfood, chi2
tabulate dsafetymed researchmed, chi2
tabulate dsafetyfood negoutcomefood, chi2
tabulate dsafetymed negoutcomemed, chi2
////////*********TABLE 2*********////////
/*ordered logit models for opinion about safety*/
ologit dsafetyfood i.heardgefood i.opinionfood 
ologit dsafetymed i.heardgemed i.opinionmed
////////*********TABLE 3*********////////
/*ordered logit models for evidence*/
ologit researchfood i.heardgefood i.opinionfood i.dsafetyfood 
ologit negoutcomefood i.heardgefood i.opinionfood i.dsafetyfood 
ologit researchmed i.heardgemed i.opinionmed i.dsafetymed
ologit negoutcomemed i.heardgemed i.opinionmed i.dsafetymed


